# Knot DNS /etc/knot/knot.conf

server:
    rundir: "/run/knot"
    user: knot:knot
    automatic-acl: on
    listen: [ 127.0.0.1@1053, ::1@1053 ]
    listen-quic: [ 172.0.0.1@1853, ::1@1853 ]

log:
  - target: syslog
    any: info

database:
    storage: "/etc/knot/data"

remote:
  - id: dc1
    address: [ cafe:a:b:c::dc1, 10.0.1.10 ]
  - id: dc2
    address: [ cafe:a:b:c::dc2, 10.0.1.20 ]

template:
  # výchozí nastavení pro DCčka
  - id: default
    storage: "/etc/knot/zones"
    master: [ dc1, dc2 ]
    file: "%s.zone"
    dnssec-signing: on

zone:
  # AD LAN
  - domain: domena.lan
  - domain: _msdcs.domena.lan
  - domain: 0.1.10.in-addr.arpa
  - domain: c.0.0.0.b.0.0.0.a.0.0.0.e.f.a.c.ip6.arpa
  # primární zóny (IN)
  - domain: extranet.ext